package com.qiaoba.module.tenant.enums;

import lombok.Getter;

/**
 * 租户类型
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/5 16:33
 */
@Getter
public enum TenantTypeEnum {

    /**
     * 字段模式-隔离级别最小
     */
    COLUMN("column", "字段模式"),

    /**
     * SCHEMA模式-隔离级别中等
     */
    SCHEMA("schema", "SCHEMA模式"),

    /**
     * 数据源模式-隔离级别最大
     */
    DATASOURCE("datasource", "数据源模式");

    private final String type;
    private final String info;

    TenantTypeEnum(String code, String info) {
        this.type = code;
        this.info = info;
    }
}
